--- exim.conf-SpamBlockerTechnology-v4.3.0-alpha4.txt	2014-12-06 23:34:49.000000000 -0700
+++ exim.conf-SpamBlockerTechnology-v4.3.0.txt	2014-12-07 00:52:55.000000000 -0700
@@ -1,5 +1,5 @@
 # SpamBlockerTechnology* powered exim.conf, Version 4.3.0
-# alpha-4
+# alpha-6
 # September 9, 2014 03:03 (-0700)
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
@@ -187,10 +187,28 @@
 #EDIT#24:
 acl_connect:
   warn set acl_m_spam_assassin_has_run = 0
+  warn set acl_m_is_whitelisted = 0
   .include_if_exists /etc/exim.easy_spam_fighter/connect.conf
   accept hosts = *
 
 acl_check_mail:
+  accept  condition = ${if eq{$acl_m_is_whitelisted}{1}{1}{0}}
+
+#EDIT#31:
+  accept  sender_domains = +whitelist_domains
+          logwrite = $sender_host_address whitelisted in local domains whitelist
+          set acl_m_is_whitelisted = 1
+  accept  hosts = +whitelist_hosts
+          logwrite = $sender_host_address whitelisted in local hosts whitelist
+          set acl_m_is_whitelisted = 1
+  accept  hosts = +whitelist_hosts_ip
+          logwrite = $sender_host_address whitelisted in local hosts IP# whitelist
+          set acl_m_is_whitelisted = 1
+  # accept if envelope sender is in whitelist
+  accept  senders = +whitelist_senders
+          logwrite = $sender_host_address whitelisted in local sender whitelist
+          set acl_m_is_whitelisted = 1
+
   .include_if_exists /etc/exim.easy_spam_fighter/check_mail.conf
   accept
 
@@ -278,6 +296,8 @@
         message = USER_ON_BLACKLIST_SMTP
         logwrite = User account $acl_m_username is blocked via BLACKLIST_USERNAMES
 
+  accept  condition = ${if eq{$acl_m_is_whitelisted}{1}{1}{0}}
+
   #Block Cracking - https://github.com/Exim/exim/wiki/BlockCracking
   .include_if_exists /etc/exim.blockcracking/auth.conf
 
@@ -332,17 +352,6 @@
   accept  hosts = :
           logwrite = Whitelisted as having local origination
 
-#EDIT#31:
-  accept  sender_domains = +whitelist_domains
-         logwrite = $sender_host_address whitelisted in local domains whitelist
-  accept  hosts = +whitelist_hosts
-         logwrite = $sender_host_address whitelisted in local hosts whitelist
-  accept  hosts = +whitelist_hosts_ip
-         logwrite = $sender_host_address whitelisted in local hosts IP# whitelist
-  # accept if envelope sender is in whitelist
-  accept  senders = +whitelist_senders
-          logwrite = $sender_host_address whitelisted in local sender whitelist
-
 #EDIT#32:
     deny message = 554 denied. 5.7.1 BLOCKED_DUE_TO_SPAM_SENDER
     domains = +use_rbl_domains
@@ -402,7 +411,6 @@
        zen.spamhaus.org : \
        hostkarma.junkemailfilter.com=127.0.0.2
 
-
   .include_if_exists /etc/exim.easy_spam_fighter/check_rcpt.conf
 
 #COMMENT#43:
@@ -434,11 +442,14 @@
 
 
 acl_check_dkim:
+  accept  condition = ${if eq{$acl_m_is_whitelisted}{1}{1}{0}}
+          
   .include_if_exists /etc/exim.easy_spam_fighter/check_dkim.conf
   accept
 
 # ACL that is used after the DATA command (ClamAV)
 acl_check_message:
+  accept  condition = ${if eq{$acl_m_is_whitelisted}{1}{1}{0}}
 
   .include_if_exists /etc/exim.easy_spam_fighter/check_message.conf
 
